Bug 1010519 - DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp3s0',)
DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp3s0',)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
Radek Vykydal
abrt_hash:6f8edb47994a661263c6a88d2e2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 23:37 EDT by Joachim Frieben
Modified: 2014-01-24 15:38 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-20.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 15:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (435.23 KB, text/plain)
2013-09-20 23:37 EDT, Joachim Frieben
no flags Details
File: anaconda.log (7.50 KB, text/plain)
2013-09-20 23:37 EDT, Joachim Frieben
no flags Details
File: environ (461 bytes, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details
File: lsblk_output (2.24 KB, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details
File: nmcli_dev_list (15.27 KB, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details
File: os_info (291 bytes, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details
File: program.log (102.01 KB, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details
File: storage.log (325.15 KB, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details
File: ifcfg.log (2.80 KB, text/plain)
2013-09-20 23:38 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2013-09-20 23:37:40 EDT
Version-Release number of selected component:
anaconda-20.19-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.19-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/nm.py", line 506, in nm_device_setting_value
    raise DeviceSettingsNotFoundError(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 1053, in status_message
    master = nm.nm_device_setting_value(devname, "connection", "master")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1293, in status
    return network.status_message()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 259, in _updateCompleteness
    spoke.selector.set_property("status", spoke.status)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 213, in _createBox
    self._updateCompleteness(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 368, in refresh
    self._createBox()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 740, in _on_continue_clicked
    nextAction.refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 68, in _on_continue_clicked
    cb()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 317, in _on_continue_clicked
    StandaloneSpoke._on_continue_clicked(self, cb)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 72, in <lambda>
    self.window.connect("continue-clicked", lambda *args: self._on_continue_clicked(cb))
DeviceSettingsNotFoundError: DeviceSettingsNotFoundError('wlp3s0',)

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-Al rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20
Comment 1 Joachim Frieben 2013-09-20 23:37:52 EDT
Created attachment 800831 [details]
File: anaconda-tb
Comment 2 Joachim Frieben 2013-09-20 23:37:57 EDT
Created attachment 800832 [details]
File: anaconda.log
Comment 3 Joachim Frieben 2013-09-20 23:38:02 EDT
Created attachment 800833 [details]
File: environ
Comment 4 Joachim Frieben 2013-09-20 23:38:06 EDT
Created attachment 800834 [details]
File: lsblk_output
Comment 5 Joachim Frieben 2013-09-20 23:38:11 EDT
Created attachment 800835 [details]
File: nmcli_dev_list
Comment 6 Joachim Frieben 2013-09-20 23:38:15 EDT
Created attachment 800836 [details]
File: os_info
Comment 7 Joachim Frieben 2013-09-20 23:38:20 EDT
Created attachment 800837 [details]
File: program.log
Comment 8 Joachim Frieben 2013-09-20 23:38:29 EDT
Created attachment 800838 [details]
File: storage.log
Comment 9 Joachim Frieben 2013-09-20 23:38:33 EDT
Created attachment 800839 [details]
File: ifcfg.log
Comment 10 Radek Vykydal 2013-09-25 03:27:57 EDT
Thank you for your report, this should be fixed in F20 Beta.
Comment 11 Fedora Update System 2013-09-25 12:03:10 EDT
anaconda-20.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.20-1.fc20
Comment 12 Fedora Update System 2013-09-26 20:31:15 EDT
Package anaconda-20.20-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.20-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17681/anaconda-20.20-1.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-09-27 21:16:21 EDT
anaconda-20.21-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.21-1.fc20

Note You need to log in before you can comment on or make changes to this bug.